#
# spec file for package kreatecd (Version 1.0.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake cdda2wav cdparanoia cdrecord docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft mkisofs mpg123 qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip cdda2wav cdparanoia cdrecord compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mkisofs mktemp modutils mpg123 ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  -b "cdrecord mkisofs mpg123 cdda2wav cdparanoia" --kde2
Name:         kreatecd
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      CD writer program
Version:      1.0.0
Release:      190
Source0:      kreatecd-1.0.0.tar.bz2
Patch0: kreatecd-1.0.0.dif

%description
Frontend for CD writers cdrecord, cdparanoia, mkisofs.

Authors:
--------
    Alexander.Feigl@gmx.de (Alexander Feigl)

SuSE series: k2de

%prep
%setup -n kreatecd-1.0.0
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -l -f . }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc README ChangeLog COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Applications
%dir /opt/kde2/share/apps/kreatecd
%dir /opt/kde2/share/apps/kreatecd/pics
%dir /opt/kde2/share/icons/hicolor/32x32/apps
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
%dir /opt/kde2/share/locale/is
%dir /opt/kde2/share/locale/is/LC_MESSAGES
%dir /opt/kde2/share/locale/it
%dir /opt/kde2/share/locale/it/LC_MESSAGES
%dir /opt/kde2/share/locale/nl
%dir /opt/kde2/share/locale/nl/LC_MESSAGES
%dir /opt/kde2/share/locale/sv
%dir /opt/kde2/share/locale/sv/LC_MESSAGES
/opt/kde2/bin/kreatecd
/opt/kde2/share/applnk/Applications/kreatecd.desktop
/opt/kde2/share/apps/kreatecd/kreatecdui.rc
/opt/kde2/share/apps/kreatecd/pics/kcd_backward.png
/opt/kde2/share/apps/kreatecd/pics/kcd_balance.png
/opt/kde2/share/apps/kreatecd/pics/kcd_cd.png
/opt/kde2/share/apps/kreatecd/pics/kcd_folder.png
/opt/kde2/share/apps/kreatecd/pics/kcd_folder_blue.png
/opt/kde2/share/apps/kreatecd/pics/kcd_folder_red.png
/opt/kde2/share/apps/kreatecd/pics/kcd_forward.png
/opt/kde2/share/apps/kreatecd/pics/kcd_locked.png
/opt/kde2/share/apps/kreatecd/pics/kcd_lockedfolder.png
/opt/kde2/share/apps/kreatecd/pics/kcd_play.png
/opt/kde2/share/apps/kreatecd/pics/kcd_play_begin.png
/opt/kde2/share/apps/kreatecd/pics/kcd_projecttype_config.png
/opt/kde2/share/apps/kreatecd/pics/kcd_set_start.png
/opt/kde2/share/apps/kreatecd/pics/kcd_set_stop.png
/opt/kde2/share/apps/kreatecd/pics/kcd_stop.png
/opt/kde2/share/apps/kreatecd/pics/kcd_unknown.png
/opt/kde2/share/apps/kreatecd/pics/kcd_unknown_blue.png
/opt/kde2/share/apps/kreatecd/pics/kcd_volume.png
/opt/kde2/share/icons/hicolor/32x32/apps/kreatecd.png
/opt/kde2/share/icons/locolor/16x16/apps/kreatecd.png
/opt/kde2/share/locale/de/LC_MESSAGES/kreatecd.mo
/opt/kde2/share/locale/is/LC_MESSAGES/kreatecd.mo
/opt/kde2/share/locale/it/LC_MESSAGES/kreatecd.mo
/opt/kde2/share/locale/nl/LC_MESSAGES/kreatecd.mo
/opt/kde2/share/locale/sv/LC_MESSAGES/kreatecd.mo
/opt/kde2/share/mimelnk/application/x-kreatecd.desktop

%changelog -n kreatecd
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri Aug 10 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Thu Jul 05 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Mon Mar 19 2001 - adrian@suse.de
- New version 1.0.0
* Sat Mar 17 2001 - adrian@suse.de
- New version 0.9.1
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Mon Feb 12 2001 - adrian@suse.de
- new version 0.9.0 (KDE 2)
* Fri Nov 10 2000 - kukuk@suse.de
- fix neededforbuild
* Wed Sep 20 2000 - adrian@suse.de
- New version 0.4.1
* Mon May 29 2000 - adrian@suse.de
- New version 0.3.9
* Sat May 27 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Fri May 26 2000 - adrian@suse.de
- Spec file created from kreatecd-0.3.8b.tar.gz by autospec
* Sat Apr 01 2000 - adrian@suse.de
- Update to 0.3.8b
  deleted the set uid bit for security reasons
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Fri Oct 15 1999 - kettner@suse.de
- New version 0.3.0
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May 04 1999 - kettner@suse.de
- New version 0.2.2
* Tue Apr 27 1999 - kettner@suse.de
- Spec file created from kreatecd-0.2.1.tar.gz by autospec
